Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

A StarTree API token or a service token (st-<accessKey>-<secretKey>).

Path Parameters

roleSrn
string
required

SRN of the role, with # encoded as %23.

Response

The role.

srn
string
Example:

"srn2:role#table-reader-role"

name
string
Example:

"table-reader-role"

description
string
Example:

"Provides read-only access to specific tables."

createdAt
string<date-time>
Example:

"2024-09-04T00:28:30.876+00:00"

lastUpdatedAt
string<date-time>
Example:

"2024-09-04T00:28:30.876+00:00"

createdBy
string

SRN of the principal that created the resource. Predefined StarTree resources show startree-rbac-manager.

Example:

"srn:zone:user:default:abcd1234"

lastUpdatedBy
string
Example:

"srn:zone:user:default:abcd1234"